//
//	PathogenSlot.cpp
//	TINS2017 - tsl7
//	Created by Steven Silvey
//	October 22nd, 2017
//

#include "pathogenslot.h"

PathogenSlot::PathogenSlot()
{
    
    this->imgSlot = al_load_bitmap("./resources/sprites/tile.png");
    if (!this->imgSlot)
    {
        fprintf(stderr, "failed to load ./resources/sprites/tile.png!\n");
    }

    this->pathogen = NULL;
}

PathogenSlot::~PathogenSlot()
{
    if(imgSlot) {
        al_destroy_bitmap(this->imgSlot);
    }
}

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#pragma mark -
#pragma mark Public Functions
void PathogenSlot::Draw()
{
    al_draw_scaled_bitmap(this->imgSlot, 0, 0, 64, 64, this->x, this->y, 40, 40, 0);
    if(this->pathogen) {
        al_draw_scaled_bitmap(this->pathogen->image, 0, 0, 64, 64, this->x, this->y, 40, 40, 0);
    }
}


